﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Src="~/WebUserControl.ascx" TagName="UserControl" TagPrefix="uc1" %>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<script type="text/javascript">
				var selected = {};
				function RadGrid1_RowSelected(sender, args) {
					var mailID = args.getDataKeyValue("CustomerID");
					if (!selected[mailID]) {
						selected[mailID] = true;
					}
				}
				function RadGrid1_RowDeselected(sender, args) {
					var mailID = args.getDataKeyValue("CustomerID");
					if (selected[mailID]) {
						selected[mailID] = null;
					}
				}
				function RadGrid1_RowCreated(sender, args) {
					var mailID = args.getDataKeyValue("CustomerID");
					if (selected[mailID]) {
						args.get_gridDataItem().set_selected(true);
					}
				}
				function GridCreated(sender, eventArgs) {
					var masterTable = sender.get_masterTableView(),
						headerCheckBox = $telerik.$(masterTable.HeaderRow).find(":checkbox")[0];

					if (headerCheckBox) {
						headerCheckBox.checked = masterTable.get_selectedItems().length == masterTable.get_pageSize();
					}
				}
			</script>

			<telerik:RadScriptManager ID="RadScriptManager1" runat="server" />
			<telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
			<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
				<AjaxSettings>
					<telerik:AjaxSetting AjaxControlID="RadGrid1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadGrid1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
				</AjaxSettings>
			</telerik:RadAjaxManager>
			<telerik:RadGrid ID="RadGrid1" AllowMultiRowSelection="true" DataSourceID="SqlDataSource1"
				AllowPaging="true" AllowSorting="true" runat="server" AllowFilteringByColumn="true"
				ShowGroupPanel="true">
				<MasterTableView ClientDataKeyNames="CustomerID">
					<Columns>
						<telerik:GridClientSelectColumn />
					</Columns>
				</MasterTableView>
				<ClientSettings AllowDragToGroup="true">
					<Selecting AllowRowSelect="true" />
					<ClientEvents OnRowCreated="RadGrid1_RowCreated" OnRowSelected="RadGrid1_RowSelected"
						OnRowDeselected="RadGrid1_RowDeselected" OnGridCreated="GridCreated" />
				</ClientSettings>
			</telerik:RadGrid>
			<asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
				ProviderName="System.Data.SqlClient" SelectCommand="SELECT * FROM Customers" runat="server"></asp:SqlDataSource>

		</div>
	</form>
</body>
</html>
